<?php
/*

***********************************************************************************
***********************************************************************************

  This software is copyrighted by www.e-cart.biz. 
  It is not freeware and may not be distributed in 
  whole or in part without permission. 
    
  Professional versions of e-cart must be licensed and registered.
  Unlawful copies of e-cart will not be supported.
  For more information about your e-cart or to become a reseller or vendor,
  please contact support@e-cart.biz.
  
  This is a professional storefront that will enhance the online business
  of any storefront and make backend administration extremely easy and
  user-friendly. Novices will be able to comfortably navigate their new
  stores in a matter of minutes instead of hours or days.
    
  Extensive rescripting and programming has been intricately included 
  throughout this software and thus renders the original version inseparable.
  
  This copyright tag may not be lawfully removed and this software
  may not be lawfully redistributed without permission.
  
***********************************************************************************
***********************************************************************************

$Id: image_gen.php,v 1.0 2005/11/26 

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

session_start();

// make a string with all the characters that we 
// want to use as the verification code
$alphanum  = "4rABuFGH9ICDEUc7VdefKLMNPQRSmnopq3stYZvwxyz12JT56WXab8";

// generate the verication code 
$rand = substr(str_shuffle($alphanum), 15, 6);

// choose one of four background images
$bgNum = rand(1, 1);

// create an image object using the chosen background
$image = imagecreatefromjpeg("images/turning1.jpg");

$textColor = imagecolorallocate ($image, 110, 087, 064); 

// write the code on the background image
imagestring ($image, 5, 5, 8,  $rand, $textColor); 
	

// create the hash for the verification code
// and put it in the session
$_SESSION['image_random_value'] = md5($rand);
	
// send several headers to make sure the image is not cached	
// taken directly from the PHP Manual
	
// Date in the past 
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); 

// always modified 
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); 

// HTTP/1.1 
header("Cache-Control: no-store, no-cache, must-revalidate"); 
header("Cache-Control: post-check=0, pre-check=0", false); 

// HTTP/1.0 
header("Pragma: no-cache"); 	


// send the content type header so the image is displayed properly
header('Content-type: image/jpeg');

// send the image to the browser
imagejpeg($image);

// destroy the image to free up the memory
imagedestroy($image);
?>